
///////////////////////////////////////////////////////////////////////////
// This program is free software: you can redistribute it and/or modify  //
// it under the terms of the version 3 of the GNU General Public License //
// as published by the Free Software Foundation.                         //
//                                                                       //
// This program is distributed in the hope that it will be useful, but   //
// WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      //
// General Public License for more details.                              //
//                                                                       //
// You should have received a copy of the GNU General Public License     //
// along with this program. If not, see <http://www.gnu.org/licenses/>.  //
//                                                                       //
// Written by Francois Fleuret                                           //
// (C) Idiap Research Institute                                          //
//                                                                       //
// Contact <francois.fleuret@idiap.ch> for comments & bug reports        //
///////////////////////////////////////////////////////////////////////////

#ifndef MATERIALS_H
#define MATERIALS_H

#include "misc.h"
#include "rich_image.h"
#include "pi_feature.h"
#include "pi_referential.h"
#include "labelled_image_pool.h"
#include "labelled_image.h"
#include "pose_cell_set.h"
#include "pose_cell_hierarchy.h"
#include "detector.h"

void write_pool_images_with_poses_and_referentials(LabelledImagePool *pool,
                                                   Detector *detector);

void write_image_with_detections(const char *filename,
                                 LabelledImage *image,
                                 PoseCellSet *detections,
                                 int level);

#endif
