
///////////////////////////////////////////////////////////////////////////
// This program is free software: you can redistribute it and/or modify  //
// it under the terms of the version 3 of the GNU General Public License //
// as published by the Free Software Foundation.                         //
//                                                                       //
// This program is distributed in the hope that it will be useful, but   //
// WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      //
// General Public License for more details.                              //
//                                                                       //
// You should have received a copy of the GNU General Public License     //
// along with this program. If not, see <http://www.gnu.org/licenses/>.  //
//                                                                       //
// Written by Francois Fleuret                                           //
// (C) Idiap Research Institute                                          //
//                                                                       //
// Contact <francois.fleuret@idiap.ch> for comments & bug reports        //
///////////////////////////////////////////////////////////////////////////

#ifndef POSE_CELL_SCORED_SET_H
#define POSE_CELL_SCORED_SET_H

#include "pose_cell.h"
#include "labelled_image.h"

#include "pose_cell_set.h"

class PoseCellScoredSet : public PoseCellSet {
  scalar_t *_scores;

public:

  PoseCellScoredSet();
  ~PoseCellScoredSet();

  inline scalar_t get_score(int k) {
    ASSERT(k >= 0 && k < _nb_added);
    return _scores[k];
  }

  void add_cell_with_score(PoseCell *cell, scalar_t score);

  void decimate_hit(int level);
  void decimate_collide(int level);
};

#endif
